Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Create new active work session

Prev Next
Post
/invetory/workSessions

Creates a new active work session.
The workSessionDefinitionId must reference a user-reported work session definition without the start condition.

Required permissions: READ_WORK_SESSION, WRITE_WORK_SESSION.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Body parameters

The details of the work session being created.

Responses
201

Successful creation.

Expand All
object
id
string

The work-session object identifier.

workSessionDefinitionId
string

The identifier of the work-session-definition associated with the work-session instance.

thingId
string

The identifier of the thing to which the work session refers.

Example6620e4a542541977c406b921
name
string

The work-session name.

title
string

The work-session title.

description
string

The work-session description.

startTimestamp
integer (int64)

The work-session start timestamp.

Example1578438000000
endTimestamp
integer (int64)

The work-session stop timestamp.

Example1578438000000
timestamp
integer (int64)

The work-session last status update timestamp.

Example1578438000000
metrics
object

The map of monitored metrics values.

properties
object (Properties)

The set of properties providing additional details to the parent object.

Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
importStatus
string

The status of the import process, if any.

Valid values[ "IMPORTING", "SUCCESS", "ERROR" ]
Minimum1.0
thing
object

The thing associated with the work-session.

id
string
name
string
serialNumber
string
thingDefinitionId
string
parentThingId
string
rootThingId
string
productModelId
string
productModelPartId
string
timezone
string
gpsPosition
string
creationTimestamp
integer (int64)
activationDate
integer (int64)
lastModifiedTimestamp
integer (int64)
cloudStatus
integer
cloudStatusLastUpdateTimestamp
integer (int64)
connectionStatus
integer
connectionStatusLastUpdateTimestamp
integer (int64)
latestMetricValueTimestamp
integer (int64)
customerId
string
locationId
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
simIccid
string
simDetails
object (SimDetails)
simStatus
string
Valid values[ "INACTIVE", "TEST", "ACTIVE" ]
sessionStatus
string
Valid values[ "G", "A", "R" ]
sessionStartTimestamp
integer (int64)
sessionDataLastTimestamp
integer (int64)
sessionNetworkTraffic
integer
dailyTraffic
integer
monthlyTraffic
integer
lastCellId
string
lastUpdate
integer (int64)
tagIds
Array of string
string
thingDefinition
object
id
string
name
string
description
string
defaultThingName
string
nameMetricId
string
serialNumberMetricId
string
gpsPositionMetricId
string
thingDefinitionMetricId
string
superThingDefinitionId
string
parentThingDefinitionId
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
customer
object
id
string
code
string
name
string
country
string
countryIsoCode
string
timezone
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
creationTimestamp
integer (int64)
firstAccessTimestamp
integer (int64)
lastAccessTimestamp
integer (int64)
location
object
id
string
name
string
country
string
countryIsoCode
string
timezone
string
gpsPosition
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
customerId
string
serviceLevel
object
id
string
name
string
level
integer
alertingFeature
boolean
notificationsFeature
boolean
thingPricing
object
authorizationPricing
object
features
object
partner
object
id
string
name
string
code
string
country
string
countryIsoCode
string
timezone
string
customerCount
number
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
organization
object
id
string
Example1234abcd
creationTimestamp
integer (int64)
customer
object

The location where the associated thing is located.

id
string
name
string
country
string
countryIsoCode
string
timezone
string
gpsPosition
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
customerId
string
location
object

The customer that owns the associated thing.

id
string
code
string
name
string
country
string
countryIsoCode
string
timezone
string
properties
object (Properties)
Example{ "foo": "abc", "bar": "123" }
property*
string additionalProperties
creationTimestamp
integer (int64)
firstAccessTimestamp
integer (int64)
lastAccessTimestamp
integer (int64)
workSessionDefinition
object

The identifier of the work-session-definition associated with the work-session instance.

id
string
Exampleabcd1234
name
string
ExamplePROCESSING
title
string
ExampleProcessing
description
string
ExampleProcessing raw materials.
propertyReferences
Array of object
object
propertyDefinitionId
string
Example6a71fa507677963ec77f0ff0
value
string
Exampleabc
400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error